Get Batch Transfer Status - WIP
curl --request GET \
--url https://payout-api.cashfree.com/payout/v1/getBatchTransferStatus-wip \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://payout-api.cashfree.com/payout/v1/getBatchTransferStatus-wip"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://payout-api.cashfree.com/payout/v1/getBatchTransferStatus-wip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"status\" : \"SUCCESS\",\n \"subCode\": \"200\", \n \"message\": \"Data retrieved successfully\", \n \"data\":\n { \n \"rowCount\" : 2, \n \"referenceId\" : 1582, \n \"transfers\": \n [ { \n \"beneId\":\"9999999999_18875\", \n \"transferId\":\"PTM_00121241112\", \n \"referenceId\":1523969542, \n \"bankAccount\":\"9999999999\", \n \"ifsc\":\"PYTM0000001\", \n \"amount\":\"12.00\", \n \"remarks\":\"\",\n \"status\":\"SUCCESS\", \n \"utr\":\"W1532082925\", \n \"addedOn\":\"2018-07-20\", \n \"processedOn\":\"2018-07-20\"\n },\n {\n \"beneId\":\"9999999999_18875\", \n \"transferId\":\"PTM_00052312126\", \n \"referenceId\":1523969543, \n \"bankAccount\":\"9999999999\",\n \"ifsc\":\"PYTM0000001\", \n \"amount\":\"12.00\", \n \"remarks\":\"\", \n \"status\":\"SUCCESS\", \n \"utr\":\"W1532082926\", \n \"addedOn\":\"2018-07-20\", \n \"processedOn\":\"2018-07-20\"\n }]\n }\n}""{ \n \"status\": \"ERROR\", \n \"subCode\": \"404\", \n \"message\": \"Batch Transfer Id does not exist\" \n}""{\n \"status\": \"ERROR\",\n \"subCode\": \"403\",\n \"message\": \"Token is not valid\"\n}""{\n \"status\": \"ERROR\",\n \"subCode\": \"422\",\n \"message\": \"Please provide a valid batchTransferId\"\n}"Get Batch Transfer Status - WIP
Use this API to get the status of the Batch Transfer.
GET
/
payout
/
v1
/
getBatchTransferStatus-wip
Get Batch Transfer Status - WIP
Query Parameters
It is the unique ID created for the batch transfer.
⌘I
